Name:          libsuitesparse
Version:       7.10.0
Release:       1mamba
Summary:       A collection of sparse matrix libraries
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://people.engr.tamu.edu/davis/suitesparse.html
Source:        https://github.com/DrTimothyAldenDavis/SuiteSparse.git/v%{version}/SuiteSparse-%{version}.tar.bz2
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgfortran
BuildRequires: libgmp-devel
BuildRequires: libgomp-devel
BuildRequires: libmpfr-devel
BuildRequires: libopenblas-devel
BuildRequires: libquadmath-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Provides:      libumfpack
Obsoletes:     libumfpack < 6.0.1

%description
suitesparse is a collection of libraries for computations involving sparse matrices.  The package includes the following libraries:
AMD         approximate minimum degree ordering
BTF         permutation to block triangular form (beta)
CAMD        constrained approximate minimum degree ordering
COLAMD      column approximate minimum degree ordering
CCOLAMD     constrained column approximate minimum degree ordering
CHOLMOD     sparse Cholesky factorization
CSparse     a concise sparse matrix package
CXSparse    CSparse extended: complex matrix, int and long int support
KLU         sparse LU factorization, primarily for circuit simulation
LDL         a simple LDL' factorization
SQPR        a multithread, multifrontal, rank-revealing sparse QR factorization method
UMFPACK     sparse LU factorization
UFconfig    configuration file for all the above packages.
RBio        read/write files in Rutherford/Boeing format

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libumfpack-devel
Obsoletes:     libumfpack-devel < 6.0.1

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n SuiteSparse-%{version}
#-D -T
#:<< _EOF
%ifarch arm
sed -i "/CHOLMOD/d" Makefile
%endif

%build
%cmake \
\
%ifnarch x86_64
   -DCHOLMOD_USE_CUDA=OFF \
   -DSUITESPARSE_USE_CUDA=OFF \
   -DSPQR_USE_CUDA=OFF \
   -DGRAPHBLAS_USE_JIT= OFF \
%endif
   -DCMAKE_BUILD_TYPE=None

%cmake_build

#% make \
#   CXXFLAGS+="%{optflags} -ffat-lto-objects" \
#   CMAKE_OPTIONS="-DBLA_VENDOR=Generic \
#     -DCMAKE_INSTALL_PREFIX=%{_prefix} \
#	 -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir} \
#     -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
#%ifnarch x86_64
#	 -DGRAPHBLAS_USE_CUDA=OFF \
#%endif
#     -DCMAKE_BUILD_TYPE=None"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%doc LICENSE.txt

%files devel
%defattr(-,root,root)
%{_bindir}/suitesparse_mongoose
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/*.h
%{_includedir}/suitesparse/*.hpp
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%dir %{_libdir}/cmake/*
%{_libdir}/cmake/*/*.cmake
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Mar 03 2025 Automatic Build System <autodist@openmamba.org> 7.10.0-1mamba
- automatic version update by autodist

* Mon Feb 24 2025 Automatic Build System <autodist@openmamba.org> 7.9.0-1mamba
- automatic version update by autodist

* Wed Oct 23 2024 Automatic Build System <autodist@openmamba.org> 7.8.3-1mamba
- automatic version update by autodist

* Tue Aug 27 2024 Automatic Build System <autodist@openmamba.org> 7.8.2-1mamba
- automatic version update by autodist

* Tue Aug 13 2024 Automatic Build System <autodist@openmamba.org> 7.8.1-1mamba
- automatic version update by autodist

* Tue Aug 06 2024 Automatic Build System <autodist@openmamba.org> 7.8.0-1mamba
- automatic version update by autodist

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 7.7.0-1mamba
- automatic version update by autodist

* Sun Mar 03 2024 Automatic Build System <autodist@openmamba.org> 7.6.1-1mamba
- automatic version update by autodist

* Thu Jan 25 2024 Automatic Build System <autodist@openmamba.org> 7.6.0-1mamba
- automatic version update by autodist

* Mon Jan 15 2024 Automatic Build System <autodist@openmamba.org> 7.5.1-1mamba
- automatic version update by autodist

* Thu Jan 11 2024 Automatic Build System <autodist@openmamba.org> 7.5.0-1mamba
- automatic version update by autodist

* Tue Jan 02 2024 Automatic Build System <autodist@mambasoft.it> 7.4.0-1mamba
- automatic version update by autodist

* Sat Nov 04 2023 Automatic Build System <autodist@mambasoft.it> 7.3.1-1mamba
- automatic version update by autodist

* Sun Oct 29 2023 Automatic Build System <autodist@mambasoft.it> 7.3.0-1mamba
- automatic version update by autodist

* Thu Oct 19 2023 Automatic Build System <autodist@mambasoft.it> 7.2.2-1mamba
- automatic version update by autodist

* Sat Oct 14 2023 Automatic Build System <autodist@mambasoft.it> 7.2.1-1mamba
- automatic version update by autodist

* Tue Sep 19 2023 Automatic Build System <autodist@mambasoft.it> 7.2.0-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Mon Jan 23 2023 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Sat Jan 21 2023 Automatic Build System <autodist@mambasoft.it> 7.0.0-1mamba
- automatic version update by autodist

* Sun Dec 25 2022 Automatic Build System <autodist@mambasoft.it> 6.0.3-1mamba
- automatic version update by autodist

* Sat Dec 24 2022 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Wed Apr 13 2022 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Tue Mar 15 2022 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Tue May 25 2021 Automatic Build System <autodist@mambasoft.it> 5.10.1-1mamba
- automatic version update by autodist

* Wed May 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.0-1mamba
- update to 5.10.0

* Thu Mar 04 2021 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Wed Jul 22 2020 Automatic Build System <autodist@mambasoft.it> 5.8.1-1mamba
- automatic version update by autodist

* Thu Jul 02 2020 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Thu Apr 09 2020 Automatic Build System <autodist@mambasoft.it> 5.7.2-1mamba
- automatic version update by autodist

* Tue Mar 03 2020 Automatic Build System <autodist@mambasoft.it> 5.7.1-1mamba
- automatic version update by autodist

* Wed Nov 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- update to 5.6.0

* Fri Dec 18 2015 Automatic Build System <autodist@mambasoft.it> 4.4.5-1mamba
- automatic version update by autodist

* Tue Apr 28 2015 Automatic Build System <autodist@mambasoft.it> 4.4.4-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Automatic Build System <autodist@mambasoft.it> 4.4.3-1mamba
- automatic update by autodist

* Sun Nov 23 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.1-1mamba
- update to 4.4.1

* Tue Aug 26 2014 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic update by autodist

* Sat Aug 03 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-2mamba
- fixed read permission of include files

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Sun Mar 31 2013 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Fri Jan 25 2013 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Mon Mar 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.0-1mamba
- package created by autospec
